package com.example.mqListener;

import org.springframework.amqp.rabbit.annotation.Queue;
import org.springframework.amqp.rabbit.annotation.QueueBinding;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.stereotype.Component;

@Component
public class MqListener {
    public static final String EXCHANGE_NAME = "deviceTopicExchange";
    public static final String ROUTER_KEY = "device1.#";
    public static final String QUE = "device01";
    @RabbitListener( queues = QUE)
    public void device1(String message) {
        System.out.println(message);
    }

}
