package com.example.springbootdemo;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.example.springbootdemo.entity.Person;
import jdk.nashorn.internal.ir.annotations.Ignore;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.jdbc.core.JdbcTemplate;

import javax.sql.DataSource;
import java.util.ArrayList;
import java.util.List;

@Slf4j
@SpringBootTest
@Ignore
class SpringbootdemoApplicationTests {
    @Autowired
    JdbcTemplate jdbcTemplate;
    @Autowired
    DataSource dataSource;
    @Test
    void contextLoads() {
        Long count = jdbcTemplate.queryForObject("select count(*) from wb_tbl_color",Long.class);
        log.info("记录 all count {}",count);
        log.info("数据源类型 {}",dataSource.getClass());
    }
    @Test
     void testEquals() {
        Integer i = 128;
        Integer i1 = 128;
        System.out.println(i == i1);
        System.out.println(i.equals(i1));
    }
    @Test
    void getCPUNum() {
        Runtime runtime = Runtime.getRuntime();
        System.out.println(runtime.availableProcessors());
    }
    @Test
    void tryTest() {
        ArrayList<Person> people = new ArrayList<>();
        people.add(new Person(14,"zhang"));
        people.add(new Person(15,"zhang"));
        System.out.println(JSON.toJSONString(people));
        String a = "[{\"aage\":14,\"nname\":\"zhang\"},{\"aage\":15,\"nname\":\"zhang\"}]";
        List<Person> personList = JSON.parseArray(a,Person.class);
        String str = "{\"errors\":[{\"code\":\"UUM70004\",\"message\":\"组织单元名称不能为空\",\"data\":{\"id\":\"254\",\"suborderNo\":\"SUB_2018062797348039\",\"organUnitType\":\"部门\",\"action\":\"add\",\"parent\":\"10000\",\"ordinal\":0,\"organUnitFullName\":\"组织单元全称\"},\"success\":false},{\"code\":\"UUM70004\",\"message\":\"组织单元名称不能为空\",\"data\":{\"id\":\"255\",\"suborderNo\":\"SUB_2018062797348039\",\"organUnitType\":\"部门\",\"action\":\"add\",\"parent\":\"10000\",\"ordinal\":0,\"organUnitFullName\":\"组织单元全称\"},\"success\":false}]}";
        JSONObject jsonObject = JSON.parseObject(str);
        String string = jsonObject.getString("123123");
    }

}
