package com.example.springbootdemo.config;

import com.rabbitmq.client.AMQP;
import com.rabbitmq.client.Channel;
import org.springframework.amqp.core.Binding;
import org.springframework.amqp.core.BindingBuilder;
import org.springframework.amqp.core.Queue;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

import java.io.IOException;
import java.util.concurrent.TimeoutException;

@Component
public class DeviceRabbitConfig {
    @Autowired
    RabbitTemplate rabbitTemplate;
    @Bean
    public AMQP.Queue.BindOk declareDeviceQueue() throws IOException, TimeoutException {
        Channel channel = rabbitTemplate.getConnectionFactory().createConnection().createChannel(false);
        channel.queueDeclare("device001", true, false, false, null);
        return channel.queueBind("device001", "deviceExchange", "device001");
//        return new Queue("device001",true,false,false,null);
    }


}
