package com.example.springbootdemo.controller;

import com.example.springbootdemo.config.RabbitMQConfiguration;
import com.example.springbootdemo.zxyTeST.sql.dao.FootScanCommonRepository;
import com.example.springbootdemo.zxyTeST.sql.entity.FootScanCommonEntity;
import com.example.springbootdemo.zxyTeST.ymlConfig.SemsxUser;
import com.rabbitmq.client.Channel;
import org.springframework.amqp.core.Message;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;
import java.util.UUID;

@RestController
public class TrainJavaController {
    @Autowired
    FootScanCommonRepository footScanCommonRepository;
    @Autowired
    SemsxUser semsxUser;
    @Autowired
    RabbitTemplate rabbitTemplate;
    @RequestMapping("/footScan")
    public String getFootScanInfo() {
//        FootScanCommonEntity  footScanCommonInfo = footScanCommonRepository.findByFootScanId(14815);
//        return  footScanCommonInfo.getFootScanSign();
        System.out.println(123);
        return "sitn";
    }
    @RequestMapping("/postTest")
    public void getFootScanList(@RequestParam Map<Integer,Object> params) {
        List<FootScanCommonEntity> a =  footScanCommonRepository.findByFootScanCommonId(2242);
        for(FootScanCommonEntity b:a) {
            System.out.println(b.getFootScanId());
        }
    }
    @RequestMapping("/ymlTest")
    public SemsxUser ymlTest() {
        System.out.println(semsxUser.getUserName());
        return  semsxUser;
    }

    @RequestMapping("/dtl")
    public String dtl(Message message1, Channel channel) {
        String orderId = UUID.randomUUID().toString();
        rabbitTemplate.convertAndSend(
                RabbitMQConfiguration.orderExchange, //发送至订单交换机
                RabbitMQConfiguration.routingKeyOrder, //订单定routingKey
                orderId //订单号   这里可以传对象 比如直接传订单对象
                , message -> {
                    // 如果配置了 params.put("x-message-ttl", 5 * 1000);
                    // 那么这一句也可以省略,具体根据业务需要是声明 Queue 的时候就指定好延迟时间还是在发送自己控制时间
                    message.getMessageProperties().setExpiration(5 * 10 + "");
                    String msg = new String(message.getBody());
                    return message;
                });

        return "{'orderId':'"+orderId+"'}";
    }
}
